/* 
 * File:   PICk4Boot_pic4550.c
 * Author: hw2sw.com
 *
 * Created on 13 maggio 2015, 18.42
 */

#include <pic18f4550.h>

#pragma config PLLDIV = 5 , CPUDIV = OSC1_PLL2 , USBDIV = 2 , FOSC = HSPLL_HS
#pragma config VREGEN = ON, LVP=OFF, LPT1OSC = ON, WRTB = ON, PBADEN = OFF, WDT = OFF


/*  ***************  Delay Cycling Function  *************** */
void delay_cycle(void)
{int i, j;
  for(i=0;i<32000;i++)
  {for(j=0;j<2;j++)
   { }
  }
}

/*  ***************  Main  *************** */
void main(void) {

    EECON1bits.EEPGD = 1;
    EECON1bits.CFGS = 0;
    EECON1bits.WREN = 1;
    EECON1bits.FREE = 1;

    INTCONbits.GIE = 0;

    EECON2 = 0x55;
    EECON2 = 0xAA;
    EECON1bits.WR = 1;

    TRISB = 0xF0 ;	 // PORT B Setting: Set all the pins in port B to Output.

    while(1)
            {
             LATBbits.LATB0 = 1;   // RB-0 to High
             LATBbits.LATB1 = 0;   // RB-1 to Low

             delay_cycle();

             LATBbits.LATB0 = 0;    // RB-0 to Low
             LATBbits.LATB1 = 1;    // RB-1 to High

             delay_cycle();
            }

    INTCONbits.GIE = 1;

    EECON1bits.FREE = 0;
}

